interface AllHandler {
  async handle_all_request(req: Request, res: Response): void;
}

interface DeleteHandler {
  async handle_delete_request(req: Request, res: Response): void;
}

interface GetHandler {
  async handle_get_request(req: Request, res: Response): void;
}

interface HeadHandler {
  async handle_head_request(req: Request, res: Response): void;
}

interface PostHandler {
  async handle_post_request(req: Request, res: Response): void;
}

interface PutHandler {
  async handle_put_request(req: Request, res: Response): void;
}

interface TraceHandler {
  async handle_trace_request(req: Request, res: Response): void;
}

/* eslint-disable @typescript-eslint/naming-convention */
export default {
  AllHandler,
  DeleteHandler,
  GetHandler,
  HeadHandler,
  PostHandler,
  PutHandler,
  TraceHandler
};
